<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"   %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"  prefix="fmt" %>
		<!-- START BOTTOM -->
		</div>	
		<div id="bottomBar" class="bottomBar">&nbsp;
			<c:if test="${drawPageResults == true}">
				<div class="bottomBarPages">
					<c:forEach var="page" items="${searchBean.pages}">
						<a href="<c:url value="/search">
									<c:param name="m" value="0"/>
									<c:param name="p" value="${page}"/>
									<c:param name="q" value="${searchBean.searchQuery}"/>
								</c:url>"><c:out value="${page}"/></a>
						&nbsp;
					</c:forEach>
				</div>
				<div class="bottomBarRender">
					<fmt:message key="fsim.bottombar.rendered" bundle="${fsim}"/>
					<c:out value="${renderTime}"/>
					<fmt:message key="fsim.bottombar.inms" bundle="${fsim}"/>
				</div>
			</c:if>
		</div>
		
		<div id="bottom" class="bottom">
			<div class="bottomCopy">
				<br/>
				FSIM: Is a pluggable DataBae search engine.<br/>
				Very customizable. To fit all needs.<br/>		
				<br/>
				<fmt:message key="fsim.copyright" bundle="${fsim}"/>
			</div>
		</div>
		<div id="debug">
		</div>
		<div id="tech" class="tech">
			<a	href="http://jigsaw.w3.org/css-validator/"
				title="<fmt:message key="fsim.tech.vcss.title" bundle="${fsim}"/>"
				>
				<img	src="http://jigsaw.w3.org/css-validator/images/vcss"
						height="31"
						width="88"
						alt="<fmt:message key="fsim.tech.vcss.alt" bundle="${fsim}"/>"
					/>
			</a>
			
			<a	href="http://validator.w3.org/check?uri=referer"
				title="<fmt:message key="fsim.tech.xhtml11.title" bundle="${fsim}"/>"
				>
				<img	src="/images/tech/valid-xhtml11.png"
						height="31"
						width="88"
						alt="<fmt:message key="fsim.tech.xhtml11.alt" bundle="${fsim}"/>"
					/>
			</a>
				
          	<a	href="http://www.debian.org"
          		title="<fmt:message key="fsim.tech.debian.title" bundle="${fsim}"/>"
          		>
          		<img	src="/images/tech/debian.gif"
          				alt="<fmt:message key="fsim.tech.debian.alt" bundle="${fsim}"/>"
          		/>
          	</a>
          	
          	<a	href="http://sun.java.com"
          		title="<fmt:message key="fsim.tech.java.title" bundle="${fsim}"/>"
          		>
          		<img	src="/images/tech/duke.gif"
          				height="60"
          				width="60"
          				alt="<fmt:message key="fsim.tech.java.alt" bundle="${fsim}"/>"
          			/>
          	</a>
          	
          	<a	href="http://www.postgres.org"
          		title="<fmt:message key="fsim.tech.postgres.title" bundle="${fsim}"/>"
          		>
          		<img	src="/images/tech/postgres.gif"
          				height="50"
          				width="50"
          				alt="<fmt:message key="fsim.tech.postgres.alt" bundle="${fsim}"/>"
          			/>
          	</a>
          	
          	<a	href="http://www.kernel.org"
          		title="<fmt:message key="fsim.tech.linux.title" bundle="${fsim}"/>"
          		>
          		<img	src="/images/tech/tux.gif"
          				height="60"
          				width="60"
          				alt="<fmt:message key="fsim.tech.linux.alt" bundle="${fsim}"/>"
          			/>
          	</a>
          	
          	<a	href="http://jakarta.apache.org/tomcat/"
          		title="<fmt:message key="fsim.tech.tomcat.title" bundle="${fsim}"/>"
          		>
          		<img	src="/images/tech/tomcat.gif"
          				height="50"
          				width="60"
          				alt="<fmt:message key="fsim.tech.tomcat.alt" bundle="${fsim}"/>"
          			/>
          	</a>
          	
		</div>
	</body>
</html>	