<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<div class="fsimHttpHosts">
	<br/>
	<form action="/admin" method="POST">
		IP: <input type="textfield" name="host_address"/>
		Reason: <input type="textfield" name="host_reason"/>
		<input type="submit" name="host_add" value="add"/>
		<input type="hidden" name="m" value="1"/>
	</form>
	<br/>
	<table border="1">
		<thead>
			<tr>
				<td>IP</td>
				<td>startDate</td>
				<td>lastMessage</td>
				<td>blocked</td>
				<td>blockedTime</td>
				<td>lastRequest</td>
				<td>permenent</td>
			</tr>
		</thead>
		<tbody>
			<c:forEach var="host" items="${httpHosts}">
				<tr>
					<td><c:out value="${host.hostAddress}"/>
						<form action="/admin" method="POST">
							<input type="submit" name="host_monitoring_remove" value="remove"/>
							<input type="hidden" name="m" value="1"/>
							<input type="hidden" name="host_address" value="<c:out value="${host.hostAddress}"/>"/>
						</form>
					</td>
					<td><c:out value="${host.monitoredStartDate}"/></td>
					<td><c:out value="${host.lastMessage}"/></td>
					<td><c:out value="${host.blocked}"/></td>
					<td><c:out value="${host.blockedTime}"/></td>
					<td><c:out value="${host.lastRequest}"/></td>
					<td><c:out value="${host.permenent}"/>
						<form action="/admin" method="POST">
							<input type="submit" name="host_permanent_add" value="set permanent"/>
							<input type="submit" name="host_permanent_remove" value="remove permanent"/>
							<input type="hidden" name="m" value="1"/>
							<input type="hidden" name="host_address" value="<c:out value="${host.hostAddress}"/>"/>
						</form>
					</td>
				</tr>
			</c:forEach>
		</tbody>
	</table>
</div>	