<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<div class="fsimSessions">
	<table border="1">
		<thead>
			<tr>
				<td>name</td>
				<td>table</td>
				<td>search column</td>
				<td>last index</td>
				<td>hits</td>
				<td>last id</id>
			</tr>
		</thead>
		<tbody>
			<c:forEach var="source" items="${sources}">
				<tr>
					<td>
						<c:out value="${source.name}"/>
						<form action="/admin" method="POST">
							<input type="submit" name="source_index" value="index"/>
							<input type="hidden" name="m" value="2"/>
							<input type="hidden" name="source_name" value="<c:out value="${source.name}"/>"/>
						</form>
					</td>
					<td><c:out value="${source.tableName}"/></td>
					<td><c:out value="${source.searchColumnName}"/></td>
					<td><c:out value="${source.lastIndexed}"/></td>
					<td><c:out value="${source.hitsSize}"/></td>
					<td><c:out value="${source.lastIndexedHitID}"/></td>
				</tr>
			</c:forEach>
		</tbody>
	</table>
	<br/>
	<br/>
	Update path cache:
	<form action="/admin" method="POST">
		<input type="submit" name="path_update" value="path_update"/>
		<input type="hidden" name="m" value="2"/>
	</form>
	<br/>
	Dump wordLists info in log.
	<form action="/admin" method="POST">
		<input type="submit" name="wordlists_info" value="wordlists info"/>
		<input type="hidden" name="m" value="2"/>
	</form>
</div>