<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ page import="java.util.List" %>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="com.idca.fsim.core.plugins.SearchSource" %>
<fmt:setBundle basename="com.idca.fsim.resources.i18n.fsim" var="fsim" scope="request"/>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><fmt:message key="fsim.title" bundle="${fsim}"/></title>
		<script type="text/javascript"
				src="/js/fsim.js">
		</script>
		<link 	rel="stylesheet"
				type="text/css"
				href="/css/fsim-layout-default.css"
				media="all"
			/>
		<link 	rel="stylesheet"
				type="text/css"
				href="/css/fsim-style-default.css"
				media="screen"
			/>
		<meta 	http-equiv="Content-Type"
				content="text/html; charset=UTF-8"
			/>
		<meta 	name="pagename"
				content="FSIM: File Search Index Machine"
			/>
		<meta 	name="description"
				content="File Search Indexing Machine"
			/>
		<meta 	name="keywords"
				content="fsim,idca,search,searching,file,files,directory,path,browse,ftp"
			/>
		<meta 	name="robots"
				content="all"
			/>
		<meta 	name="author"
				content="http://www.idca.nl"
			/>
	</head>
	<body onload="javascript:createAutoComplete();">
		<div id="top">
		<form action="/search" method="POST">
			<div id="topLogo" class="toplogo">
				<a	href="/search"
					title="<fmt:message key="fsim.logo.title" bundle="${fsim}"/>"
					>
					<img	src="images/fsim.png"
							alt="<fmt:message key="fsim.logo.alt" bundle="${fsim}"/>"
						/>
				</a>
			</div>
			<c:if test="${drawSearch == true}">
				<div id="topSearchBox" class="topSearchBox">
					<div class="topSearchBoxTitle"><br/><fmt:message key="fsim.header.title" bundle="${fsim}"/></div>
					<div>
						<input	name="q"
								id="q"
								size="35"
								autocomplete="off"
								type="text"
								value="<c:out value="${searchBean.searchQuery}"/>"/>
						&nbsp;
						<input	type="submit"
								value="<fmt:message key="fsim.search.button" bundle="${fsim}"/>"/>
						<div id="fsimKeywordsPopup"></div>
					</div>
				</div>
				<div id="topFsimLinks" class="topFsimLinks">
					<br/>
					Beta version.<br/>
					<%
						//<c:forEach var="source" items="${searchSources}">
						Collection ss = (Collection)request.getAttribute("searchSources2");
						Iterator i = ss.iterator();
						while(i.hasNext())
						{
							request.setAttribute("source",i.next());
							
					%>
						<input	type="checkbox"
								name="<c:out value="${source.name}"/>"
								onchange="this.form.submit();"
								<%
									String sss = (String)session.getAttribute("searchSources");
									SearchSource ss1 = (SearchSource)request.getAttribute("source");
									System.out.println("ssss: "+sss+" sdfsdf: " + ss1.getName());
									if(sss.contains(ss1.getName())) {
										out.print(" checked=\"true\" ");
									}
							
							%>
							/>
								<c:out value="${source.name}"/>
						<br/>
					<%
					
					}
						//</c:forEach>
					%>
				</div>
			</c:if>
		</div>
	
		<c:if test="${admin == true}">
			Welcome admin user&nbsp;
			<a href="/admin?m=0">sessions</a>&nbsp;<a href="/admin?m=1">host monitoring</a>&nbsp;<a href="/admin?m=2">sources</a>
			<br/>
		</c:if>	
	
		<div id="topBar" class="topBar">&nbsp;
			<c:if test="${drawPageResults == true}">
				<div class="bottomBarPages">
					<c:forEach var="page" items="${searchBean.pages}">
						<a href="<c:url value="/search">
									<c:param name="m" value="0"/>
									<c:param name="p" value="${page}"/>
									<c:param name="q" value="${searchBean.searchQuery}"/>
								</c:url>"><c:out value="${page}"/></a>
						&nbsp;
					</c:forEach>
				</div>
				<div class="topBarSearchStats"><fmt:message key="fsim.topbar.results" bundle="${fsim}"/>
					<c:out value='${resultSize}'/> <fmt:message key="fsim.topbar.resultsin" bundle="${fsim}"/>
					<c:out value='${searchTime}'/> <fmt:message key="fsim.topbar.inms" bundle="${fsim}"/>				
				</div>	
			</c:if>
		</div>
	</form>
	</div>
	<div id="results">
	<br/>
	<!-- END TOP -->