/*
 * 
 */

package	com.idca.fsim.core;

import	com.idca.fsim.models.Word;

import	java.util.Collection;
import	java.util.HashSet;
import	java.util.Hashtable;
import	java.util.Map;

/**
 * An LetterMAp
 * 
 * @author Willem Cazander
 * @version 1.0 
 */
public class LetterMap
{
	/** */
	private Map wordSets = new Hashtable(240);
	
	/**
	 * 
	 * @param ch
	 * @param word
	 */
	public synchronized void addWord(Character ch,Word word)
	{
		Collection words = (Collection)wordSets.get(ch);
		if(words==null) {
			words = new HashSet();
			wordSets.put(ch,words);
		}
		words.add(word);
	}
	
	
	/**
	 * 
	 * @param ch
	 * @return
	 */
	public Collection getWords(Character ch)
	{
		return (Collection)wordSets.get(ch);
	}
	
	protected Map getWordSet()
	{
		return wordSets;
	}
}
