/*
 * Created on jul 16, 2005
 *
 * Copyright 2004 IDCA. All rights reserved.
 * IDCA PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.idca.fsim.core.comparators;

import	com.idca.fsim.models.*;
import	java.util.*;

/**
 * Compare words for there click rate.
 * 
 * @author Willem Cazander
 * @version 1.0 
 */
public class WordClickedComparator implements Comparator
{
	/**
	 * 
	 */
	public int compare(Object object1,Object object2) throws ClassCastException
	{
		Word word1 = (Word)object1;
		Word word2 = (Word)object2;
		
		if(word1.clicked>word2.clicked)
		{
			return 1;
		}
		if(word1.clicked<word2.clicked)
		{
			return -1;
		}
		return 0;
	}
}
