/*
 * Created on jul 16, 2005
 *
 * Copyright 2004 IDCA. All rights reserved.
 * IDCA PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package	com.idca.fsim.core.comparators;

import	java.util.*;

/**
 * Compares WordLists on its size.
 * 
 * @author Willem Cazander
 * @version 1.0 
 */
public class WordListComparator implements Comparator
{
	/**
	 * 
	 */
	public int compare(Object object1,Object object2) throws ClassCastException
	{
		Collection list1 = (Collection)object1;
		Collection list2 = (Collection)object2;
		
		Integer size1 = new Integer(list1.size());
		Integer size2 = new Integer(list2.size());
	
		return size1.compareTo(size2);
	}
}
