/*
 * 
 * 
 */

package	com.idca.fsim.searchers.files.renderers;

import	com.idca.fsim.core.plugins.ResultRenderer;
import com.idca.fsim.models.Hit;
import	com.idca.fsim.searchers.files.models.*;
import com.idca.fsim.web.URLMarker;

import	java.io.PrintWriter;

/**
 * Renders an Host result
 * 
 * @author Willem Cazander
 * @version 1.0 Jan 22, 2006
 */
public class HostResultRenderer implements ResultRenderer
{
	
	
	public void buildXML(PrintWriter out,Hit hit,Object model,String keywords)
	{
		Host host = (Host)model;
	}
	
	public void buildHTML(PrintWriter out,Hit hit,Object model,String keywords)
	{
		Host host = (Host)model;
		out.print("<div class=\"result\"><a target\"_blank\" href=\"/redirect?ss="+hit.source.getName()+"&rid="+hit.id+"&up=host_redirect&fpd=false"+"\">");
		out.print(URLMarker.markURL(host.getProtocol()+host.getHostName(),keywords));
		out.println("</a><div class=\"resultDetails\">");
		out.println("Scanned: "+host.getLastScanned());
		out.println("<span class=\"resultOptions\">");
		out.println("<a href=\"/redirect?ss="+hit.source.getName()+"&rid="+hit.id+"&up=path_browse"+"\">browse</a>");
		out.println("</span></div></div><br/>");
	}
}