/*
 * Created on jul 16, 2005
 *
 * Copyright 2004 IDCA. All rights reserved.
 * IDCA PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package	com.idca.fsim.core.plugins;

import	com.idca.fsim.core.FsimContext;
import java.util.Collection;
import	java.util.List;

/**
 * Collected searched results
 * 
 * @author Willem Cazander
 * @version 1.0 
 */
public interface ResultCollector
{
	/**
	 * Adds the ModelHitTuble to resultLists and returns then.
	 * @param hits
	 * @param fsimContext
	 * @param resultList
	 * @return The resultList 
	 */
	public List getResults(List hits,FsimContext fsimContext,List resultList);
}
