/*
 * Created on jul 16, 2005
 *
 * Copyright 2004 IDCA. All rights reserved.
 * IDCA PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package	com.idca.fsim.models;

import	com.idca.fsim.core.plugins.SearchSource;

/**
 * An Hit of an word
 * 
 * @author Willem Cazander
 * @version 1.0 
 */
public class Hit
{
	/** An id to indentify this it in the search source. */
	public long id = 0;
	/** The number of clicks this hit got. */
	public long clicked = 0;
	/** The source of this hit. */
	public SearchSource source = null;
	
	/** some extra data for stats and sorting. like size,date,  */
	public long long1 = 0;
	public long long2 = 0;
	public long long3 = 0;
	public long long4 = 0;
	public long long5 = 0;
	public long long6 = 0;
}
