/*
 * Created on jul 16, 2005
 *
 * Copyright 2004 IDCA. All rights reserved.
 * IDCA PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package	com.idca.fsim.models;

import	java.util.List;
import	java.util.ArrayList;

/**
 * An Word which is indexed.
 * 
 * @author Willem Cazander
 * @version 1.0 
 */
public class Word
{
	/** The text of this word. */
	public String text = null;
	/** The number of searches of this word. */
	public int searched = 0;
	/** The number of clicks this words has done. */
	public int clicked = 0;
	
	/** This hits of this word. */
	public List hits = new ArrayList(100);
}
