/*
 * 
 * 
 */

package	com.idca.fsim.searchers.files.renderers;

import	com.idca.fsim.core.plugins.ResultRenderer;
import	com.idca.fsim.models.Hit;
import	com.idca.fsim.searchers.files.models.*;
import	com.idca.fsim.web.URLMarker;

import	java.io.PrintWriter;

/**
 * Renders a File result
 * 
 * @author Willem Cazander
 * @version 1.0 18/07/2005
 */
public class FileResultRenderer implements ResultRenderer
{
	
	/**
	 * 
	 */
	public void buildXML(PrintWriter out,Hit hit,Object model,String keywords)
	{
		File file = (File)model;
	}
	
	/**
	 * 
	 */
	public void buildHTML(PrintWriter out,Hit hit,Object model,String keywords)
	{
		File file = (File)model;
		out.print("<div class=\"result\"><a target\"_blank\" href=\"/redirect?ss="+hit.source.getName()+"&rid="+hit.id+"&up=file_redirect&fpd=false"+"\">");
		out.print(URLMarker.markURL(file.getPath().getHost().getProtocol()+file.getPath().getHost().getHostName()+file.getPath().getPath()+file.getName(),keywords));
		out.println("</a><div class=\"resultDetails\">");
		out.println("Size: "+File.printSize(file)+" - Indexed: "+hit.source.getLastIndexed()+" - Scanned: "+file.getPath().getHost().getLastScanned());
		out.println("<span class=\"resultOptions\">");
		out.println("<a href=\"/redirect?ss="+hit.source.getName()+"&rid="+hit.id+"&up=path_browse"+"\">browse");
		//out.println("<a href=\"/redirect?ss="+hit.source.getName()+"&rid="+hit.recordID+"&up=file_mirrors"+"\">");
		out.println("</a></span></div>");
		out.println("</div><br/>");
	}
}
