/*
 * 
 * 
 */

package	com.idca.fsim.searchers.files.renderers;

import	com.idca.fsim.core.plugins.ResultRenderer;
import com.idca.fsim.models.Hit;
import	com.idca.fsim.searchers.files.models.*;
import com.idca.fsim.web.URLMarker;

import	java.io.PrintWriter;

/**
 * Renders a Path result
 * 
 * @author Willem Cazander
 * @version 1.0 Jan 22, 2006
 */
public class PathResultRenderer implements ResultRenderer
{
	
	
	public void buildXML(PrintWriter out,Hit hit,Object model,String keywords)
	{
		Path path = (Path)model;
	}
	
	public void buildHTML(PrintWriter out,Hit hit,Object model,String keywords)
	{
		Path path = (Path)model;
		out.print("<div class=\"result\"><a target\"_blank\" href=\"/redirect?ss="+hit.source.getName()+"&rid="+hit.id+"&up=path_redirect&fpd=false"+"\">");
		out.print(URLMarker.markURL(path.getHost().getProtocol()+path.getHost().getHostName()+path.getPath(),keywords));
		out.println("</a><div class=\"resultDetails\">");
		out.println("Directories: "+path.getChilderen().size()+" - Scanned: "+hit.source.getLastIndexed()+"- Scanned: "+path.getHost().getLastScanned());
		out.println("<span class=\"resultOptions\">");
		out.println("<a href=\"/redirect?ss="+hit.source.getName()+"&rid="+hit.id+"&up=path_browse"+"\">");
		out.println("browse</a></span></div></div><br/>");
	}
	
}
